Package com.sap.ai.sdk.grounding.model

# Class SFTPPipelineCreateRequest

java.lang.Object
com.sap.ai.sdk.grounding.model.SFTPPipelineCreateRequest

All Implemented Interfaces:
  `CreatePipeline`

public class SFTPPipelineCreateRequest extends Object implements CreatePipeline
SFTPPipelineCreateRequest

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SFTPPipelineCreateRequest.Builder`
  Builder helper class.
  `static interface`
  `SFTPPipelineCreateRequest.Builder1`
  Builder helper class.
  `static enum`
  `SFTPPipelineCreateRequest.TypeEnum`
  Gets or Sets type

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SFTPPipelineCreateRequest()`
  Default constructor for SFTPPipelineCreateRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SFTPPipelineCreateRequest`
  `_configuration(SFTPConfiguration _configuration)`
  Set the _configuration of this `SFTPPipelineCreateRequest` instance and return the same instance.
  `static SFTPPipelineCreateRequest.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `SFTPPipelineCreateRequest` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `SFTPConfiguration`
  `getConfiguration()`
  Get _configuration
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `SFTPPipelineCreateRequest`.
  `MetaData`
  `getMetadata()`
  Get metadata
  `SFTPPipelineCreateRequest.TypeEnum`
  `getType()`
  Get type
  `int`
  `hashCode()`
  `SFTPPipelineCreateRequest`
  `metadata(MetaData metadata)`
  Set the metadata of this `SFTPPipelineCreateRequest` instance and return the same instance.
  `void`
  `setConfiguration(SFTPConfiguration _configuration)`
  Set the _configuration of this `SFTPPipelineCreateRequest` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `SFTPPipelineCreateRequest` instance.
  `void`
  `setMetadata(MetaData metadata)`
  Set the metadata of this `SFTPPipelineCreateRequest` instance.
  `void`
  `setType(SFTPPipelineCreateRequest.TypeEnum type)`
  Set the type of this `SFTPPipelineCreateRequest` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `SFTPPipelineCreateRequest` instance including unrecognized properties.
  `String`
  `toString()`
  `SFTPPipelineCreateRequest`
  `type(SFTPPipelineCreateRequest.TypeEnum type)`
  Set the type of this `SFTPPipelineCreateRequest` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SFTPPipelineCreateRequest

    protected SFTPPipelineCreateRequest()
    Default constructor for SFTPPipelineCreateRequest.

- ## Method Details

  - ### type

    @Nonnull public SFTPPipelineCreateRequest type(@Nonnull SFTPPipelineCreateRequest.TypeEnum type)
    Set the type of this `SFTPPipelineCreateRequest` instance and return the same instance.
    Parameters:
      `type` - The type of this `SFTPPipelineCreateRequest`
    Returns:
      The same instance of this `SFTPPipelineCreateRequest` class

  - ### getType

    @Nonnull public SFTPPipelineCreateRequest.TypeEnum getType()
    Get type
    Specified by:
      `getType` in interface `CreatePipeline`
    Returns:
      type The type of this `SFTPPipelineCreateRequest` instance.

  - ### setType

    public void setType(@Nonnull SFTPPipelineCreateRequest.TypeEnum type)
    Set the type of this `SFTPPipelineCreateRequest` instance.
    Parameters:
      `type` - The type of this `SFTPPipelineCreateRequest`

  - ### _configuration

    @Nonnull public SFTPPipelineCreateRequest _configuration(@Nonnull SFTPConfiguration _configuration)
    Set the _configuration of this `SFTPPipelineCreateRequest` instance and return the same instance.
    Parameters:
      `_configuration` - The _configuration of this `SFTPPipelineCreateRequest`
    Returns:
      The same instance of this `SFTPPipelineCreateRequest` class

  - ### getConfiguration

    @Nonnull public SFTPConfiguration getConfiguration()
    Get _configuration
    Returns:
      _configuration The _configuration of this `SFTPPipelineCreateRequest` instance.

  - ### setConfiguration

    public void setConfiguration(@Nonnull SFTPConfiguration _configuration)
    Set the _configuration of this `SFTPPipelineCreateRequest` instance.
    Parameters:
      `_configuration` - The _configuration of this `SFTPPipelineCreateRequest`

  - ### metadata

    @Nonnull public SFTPPipelineCreateRequest metadata(@Nullable MetaData metadata)
    Set the metadata of this `SFTPPipelineCreateRequest` instance and return the same instance.
    Parameters:
      `metadata` - The metadata of this `SFTPPipelineCreateRequest`
    Returns:
      The same instance of this `SFTPPipelineCreateRequest` class

  - ### getMetadata

    @Nonnull public MetaData getMetadata()
    Get metadata
    Returns:
      metadata The metadata of this `SFTPPipelineCreateRequest` instance.

  - ### setMetadata

    public void setMetadata(@Nullable MetaData metadata)
    Set the metadata of this `SFTPPipelineCreateRequest` instance.
    Parameters:
      `metadata` - The metadata of this `SFTPPipelineCreateRequest`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `SFTPPipelineCreateRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `SFTPPipelineCreateRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `SFTPPipelineCreateRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `SFTPPipelineCreateRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static SFTPPipelineCreateRequest.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `SFTPPipelineCreateRequest` instance with all required arguments.